<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- NameIndex.html -->
<!-- this view was generated by NameIndex -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Name Index</title>
<link href="style.css" type="text/css" rel="stylesheet" />
</head>
<body class="NameIndex">
<div class="navigation">
<span class="normal"><a href="Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="selected">Name Index</span>
</div>
<h1 >Name Index</h1><i>Hold the mouse over a link to see the scope of each name</i>
<div class="nameindex-index"><a href="#key65">A</a><a href="#key66">B</a><a href="#key67">C</a><a href="#key68">D</a><a href="#key73">I</a><a href="#key75">K</a><a href="#key78">N</a><a href="#key80">P</a><a href="#key82">R</a><a href="#key86">V</a><a href="#key87">W</a><a href="#key88">X</a><a href="#key89">Y</a><a href="#key126">~</a></div>
<a id="key65"></a><h2 >A</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Paths/Bezier.html#add_control_point_lconst.Vertex_A_r" title="Paths::Bezier::add_control_point&#40;const Vertex&amp;&#41;">add_control_point()</a> member function</div></td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Paths/Polyline.html#add_vertex_lconst.Vertex_A_r" title="Paths::Polyline::add_vertex&#40;const Vertex&amp;&#41;">add_vertex()</a> member function</div></td>
</tr>
</table>
<a id="key66"></a><h2 >B</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Paths/Bezier.html" title="Paths::Bezier">Bezier</a> class</div></td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Paths/Bezier.html#Bezier_l_r" title="Paths::Bezier::Bezier&#40;&#41;">Bezier()</a> member function</div>
<div class="nameindex-item"><a href="Scopes/global.html#Bezier_h_" title="Bezier_h_">Bezier_h_</a> macro</div></td>
</tr>
</table>
<a id="key67"></a><h2 >C</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Paths/Bezier.html#controls_" title="Paths::Bezier::controls_">controls_</a> data member</div></td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Paths/Nurbs.html#controls_" title="Paths::Nurbs::controls_">controls_</a> data member</div></td>
</tr>
</table>
<a id="key68"></a><h2 >D</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Path.html#draw_l_r" title="Path::draw&#40;&#41;">draw()</a> member function</div>
<div class="nameindex-item"><a href="Scopes/Paths/Bezier.html#draw_l_r" title="Paths::Bezier::draw&#40;&#41;">draw()</a> member function</div></td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Paths/Nurbs.html#draw_l_r" title="Paths::Nurbs::draw&#40;&#41;">draw()</a> member function</div>
<div class="nameindex-item"><a href="Scopes/Paths/Polyline.html#draw_l_r" title="Paths::Polyline::draw&#40;&#41;">draw()</a> member function</div></td>
</tr>
</table>
<a id="key73"></a><h2 >I</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">
</td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Paths/Nurbs.html#insert_control_point_ldouble_cconst.Vertex_A_cdouble_r" title="Paths::Nurbs::insert_control_point&#40;double&#44;const Vertex&amp;&#44;double&#41;">insert_control_point()</a> member function</div></td>
</tr>
</table>
<a id="key75"></a><h2 >K</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">
</td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Paths/Nurbs.html#knots_" title="Paths::Nurbs::knots_">knots_</a> data member</div></td>
</tr>
</table>
<a id="key78"></a><h2 >N</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Paths/Nurbs.html" title="Paths::Nurbs">Nurbs</a> class</div></td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Paths/Nurbs.html#Nurbs_l_r" title="Paths::Nurbs::Nurbs&#40;&#41;">Nurbs()</a> member function</div>
<div class="nameindex-item"><a href="Scopes/global.html#Nurbs_h_" title="Nurbs_h_">Nurbs_h_</a> macro</div></td>
</tr>
</table>
<a id="key80"></a><h2 >P</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Path.html" title="Path">Path</a> class</div>
<div class="nameindex-item"><a href="Scopes/global.html#Path_h_" title="Path_h_">Path_h_</a> macro</div>
<div class="nameindex-item"><a href="Scopes/Paths.html" title="Paths">Paths</a> namespace</div></td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Paths/Polyline.html" title="Paths::Polyline">Polyline</a> class</div>
<div class="nameindex-item"><a href="Scopes/Paths/Polyline.html#Polyline_l_r" title="Paths::Polyline::Polyline&#40;&#41;">Polyline()</a> member function</div>
<div class="nameindex-item"><a href="Scopes/global.html#Polyline_h_" title="Polyline_h_">Polyline_h_</a> macro</div></td>
</tr>
</table>
<a id="key82"></a><h2 >R</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Paths/Bezier.html#remove_control_point_lsize_t_r" title="Paths::Bezier::remove_control_point&#40;size_t&#41;">remove_control_point()</a> member function</div></td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Paths/Polyline.html#remove_vertex_lsize_t_r" title="Paths::Polyline::remove_vertex&#40;size_t&#41;">remove_vertex()</a> member function</div></td>
</tr>
</table>
<a id="key86"></a><h2 >V</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Vertex.html" title="Vertex">Vertex</a> struct</div></td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Vertex.html#Vertex_ldouble_cdouble_r" title="Vertex::Vertex&#40;double&#44;double&#41;">Vertex()</a> member function</div>
<div class="nameindex-item"><a href="Scopes/Paths/Polyline.html#vertices_" title="Paths::Polyline::vertices_">vertices_</a> data member</div></td>
</tr>
</table>
<a id="key87"></a><h2 >W</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">
</td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Paths/Nurbs.html#weights_" title="Paths::Nurbs::weights_">weights_</a> data member</div></td>
</tr>
</table>
<a id="key88"></a><h2 >X</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">
</td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Vertex.html#x" title="Vertex::x">x</a> data member</div></td>
</tr>
</table>
<a id="key89"></a><h2 >Y</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">
</td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Vertex.html#y" title="Vertex::y">y</a> data member</div></td>
</tr>
</table>
<a id="key126"></a><h2 >~</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">
</td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/Path.html#_tPath_l_r" title="Path::~Path&#40;&#41;">~Path()</a> member function</div></td>
</tr>
</table>

<div class="logo">Generated on Fri Apr 17 08:48:06 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
